ru.bitel.bgbilling.modules.ticket.server.bean

## Class TicketManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.ticket.server.bean.TicketManager

-     public final class TicketManager
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `TicketManager.ErrorCode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_BILL`
    `static int` | `STATUS_BILL_CHECK`
    `static int` | `STATUS_CANCELED`
    `static int` | `STATUS_CHECK`
    `static int` | `STATUS_OK`
    `static int` | `STATUS_OVERDUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TicketManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Ticket` | `getTicket(int id, int cid, java.util.Calendar now)`
    `Ticket` | `getTicketForStatus(Agent agent, Contract contract, java.lang.String pin, int transId, java.util.Date date)`
    `java.util.List<Ticket>` | `getTicketList(int cid, java.util.Date date1, java.util.Date date2)`
    `bitel.billing.server.util.PagedList<Ticket>` | `getTicketList(int agentId, java.util.Date date1, java.util.Date date2, int id, int transId, java.lang.String pin, Page page)`
    `java.util.List<Ticket>` | `getTicketList(int cid, int yy, int mm)`
    `Ticket` | `ticketBill(Setup setup, Agent agent, int transId, Contract contract, float summ, java.lang.String comment, java.lang.String descr, int daysValid)` Выписка счета, делает агент
    `Ticket` | `ticketBillCheck(int id, int cid, java.util.Calendar date)` Пришедший счет переводим в состояние чек, т.е теперь система может окончить транзакцию
    `void` | `ticketCancel(int id, int cid, java.util.Calendar date)`
    `void` | `ticketCancelTask(java.util.Calendar now)`
    `Ticket` | `ticketCheck(Setup setup, Contract contract, float sum, int daysValid)` Выписка "чека"
    `Ticket` | `ticketCheckDraft(Agent agent, Contract contract, java.lang.String pin, int transId, float summ, java.lang.String comment, java.util.Map<?,?> requestParams)` Проведение выписанного чека

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_BILL

          public static final int STATUS_BILL

      See Also:
        Constant Field Values

    - #### STATUS_BILL_CHECK

          public static final int STATUS_BILL_CHECK

      See Also:
        Constant Field Values

    - #### STATUS_CHECK

          public static final int STATUS_CHECK

      See Also:
        Constant Field Values

    - #### STATUS_OK

          public static final int STATUS_OK

      See Also:
        Constant Field Values

    - #### STATUS_CANCELED

          public static final int STATUS_CANCELED

      See Also:
        Constant Field Values

    - #### STATUS_OVERDUE

          public static final int STATUS_OVERDUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TicketManager

          public TicketManager(java.sql.Connection con,
                               int mid)

  - ### Method Detail

    - #### getTicket

          public Ticket getTicket(int id,
                                  int cid,
                                  java.util.Calendar now)

    - #### getTicketForStatus

          public Ticket getTicketForStatus(Agent agent,
                                           Contract contract,
                                           java.lang.String pin,
                                           int transId,
                                           java.util.Date date)
                                    throws TicketException

      Throws:
        `TicketException`

    - #### ticketBill

          public Ticket ticketBill(Setup setup,
                                   Agent agent,
                                   int transId,
                                   Contract contract,
                                   float summ,
                                   java.lang.String comment,
                                   java.lang.String descr,
                                   int daysValid)
                            throws TicketException

      Выписка счета, делает агент
      Parameters:
        `agent` -
        `contract` -
        `summ` -
        `comment` -
      Returns:
      Throws:
        `TicketException`

    - #### ticketBillCheck

          public Ticket ticketBillCheck(int id,
                                        int cid,
                                        java.util.Calendar date)
                                 throws TicketException

      Пришедший счет переводим в состояние чек, т.е теперь система может окончить транзакцию
      Parameters:
        `cid` -
        `id` -
      Returns:
      Throws:
        `TicketException`

    - #### ticketCheck

          public Ticket ticketCheck(Setup setup,
                                    Contract contract,
                                    float sum,
                                    int daysValid)
                             throws TicketException

      Выписка "чека"
      Parameters:
        `setup` -
        `contract` -
        `sum` -
        `daysValid` -
      Returns:
      Throws:
        `TicketException`

    - #### ticketCheckDraft

          public Ticket ticketCheckDraft(Agent agent,
                                         Contract contract,
                                         java.lang.String pin,
                                         int transId,
                                         float summ,
                                         java.lang.String comment,
                                         java.util.Map<?,?> requestParams)
                                  throws TicketException,
                                         ru.bitel.bgbilling.common.BGException

      Проведение выписанного чека
      Parameters:
        `agent` -
        `contract` -
        `pin` -
        `comment` -
      Returns:
      Throws:
        `TicketException`
        `ru.bitel.bgbilling.common.BGException`

    - #### ticketCancelTask

          public void ticketCancelTask(java.util.Calendar now)

    - #### ticketCancel

          public void ticketCancel(int id,
                                   int cid,
                                   java.util.Calendar date)
                            throws TicketException

      Throws:
        `TicketException`

    - #### getTicketList

          public java.util.List<Ticket> getTicketList(int cid,
                                                      int yy,
                                                      int mm)

    - #### getTicketList

          public java.util.List<Ticket> getTicketList(int cid,
                                                      java.util.Date date1,
                                                      java.util.Date date2)

    - #### getTicketList

          public bitel.billing.server.util.PagedList<Ticket> getTicketList(int agentId,
                                                                           java.util.Date date1,
                                                                           java.util.Date date2,
                                                                           int id,
                                                                           int transId,
                                                                           java.lang.String pin,
                                                                           Page page)